// ImageSpliterDlg.h : header file
//

#if !defined(AFX_IMAGESPLITERDLG_H__0ACC1CC9_C265_11D2_A5F0_00902712C9AE__INCLUDED_)
#define AFX_IMAGESPLITERDLG_H__0ACC1CC9_C265_11D2_A5F0_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class ImgSpace
{
protected:
public:

int Level,Xloc,Yloc;
int LEdge,REdge,TEdge,BEdge;
RECT Dims;

ImgSpace(int lev,int x,int y,RECT &rct) {Level=lev; LEdge=REdge=TEdge=BEdge=Level; Dims=rct; Xloc=x; Yloc=y; }

};


/////////////////////////////////////////////////////////////////////////////
// CImageSpliterDlg dialog


class CImageSpliterDlg : public CDialog
{
// Construction
public:
	CImageSpliterDlg(CWnd* pParent = NULL);	// standard constructor
	
// Dialog Data
	//{{AFX_DATA(CImageSpliterDlg)
	enum { IDD = IDD_IMAGESPLITER_DIALOG };
	CString	m_ImgName;
	CString	m_OBase;
	CString	m_tardir;
	int		m_fimgx;
	int		m_fimgy;
	int		m_OutFormat;
	BOOL	m_RevOrder;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImageSpliterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CImageSpliterDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowse();
	afx_msg void OnBrowsedir();
	afx_msg void OnClose();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnGo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMAGESPLITERDLG_H__0ACC1CC9_C265_11D2_A5F0_00902712C9AE__INCLUDED_)
